Vla-get-rotation

提供: GizmoLabs
移動先: 案内検索
構文
(vla-get-rotation vla-object )


機能
オブジェクトの回転角度を取得する。


引数
  • vla-object … VLAオブジェクト(Attribute、AttributeReference、BlockReference、DgnUnderlay、Dim3PointAngular、DimAligned、DimAngular、DimArcLength、DimDiametric、Dimension、DimOrdinate、DimRadial、DimRadialLarge、DimRotated、DwfUnderlay、ExternalReference、GeomapImage、GeoPositionMarker、MInsertBlock、MText、OLE、PdfUnderlay、PointCloud、PointCloudEx、RasterImage、Shape、Text、Wipeout)


戻り値
ラジアン単位で表した回転角度


  • MEMO: 回転角度は、Z 軸から原点を見下ろしたときに左回りを正の値とする、オブジェクトの WCS の X 軸との相対値。   
  • Raster : ラスター イメージを指定された回転角度で表示するには、ShowRotation プロパティを True に設定する。
  • Text : 回転角度は、Alignment プロパティが、acAlignmentAligned または acAlignmentFit に設定されているときは読み込み専用。


サンプル
(vl-load-com)
(defun c:Example_Rotation()
    ;; 文字列を作成して角度を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 文字列の定義
    (setq textString "Hello, World."
          insertionPoint (vlax-3d-point 3 3 0)
          height 0.5)

    ;; 文字列を作成
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq textObj (vla-AddText modelSpace textString insertionPoint height))
    (vla-ZoomAll acadObj)

    (alert (strcat "現在の角度は " (rtos (vla-get-Rotation textObj) 2)))
    
    ;; 変更 45度
    (vla-put-Rotation textObj 0.707)
    (vla-ZoomAll acadObj)
    (alert (strcat "新しい文字列の角度は " (rtos (vla-get-Rotation textObj) 2)))
)


関連事項